#ifndef UE_H
#define UE_H

#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include "Point.h"
#include "polarPoint.h"

using namespace std;

class UE
{
	public:
		UE(Point position,Point endPosition, int id, int sTime, int eTime,int speed);//constructor
		Point getPosition(void);
		Point getEndPosition(void);
		int getSTime(void);
		int getETime(void);
		int getSpeed(void);// km/h
		int getID(void);
		void setPosition(Point point);
		void setID(int id);
		void setEndPosition(Point point);
		void setSTime(int time);
		void setETime(int time);
		void setSpeed(int speed);// km/h

	private:
		Point position;
		Point endPosition;
		int id;
		int sTime;
		int eTime;
		int speed;
		
				
};
#endif // UE_H


